from ftw.simplelayout.interfaces import IPageConfiguration
from plone import api

from ftw.testing import IS_PLONE_5
from plone.uuid.interfaces import IUUID
import transaction


def create_page_state(obj, block):
    page_state = {
        "default": [
            {
                "cols": [
                    {
                        "blocks": [
                            {
                                "uid": IUUID(block)
                            }
                        ]
                    }
                ]
            },
        ]
    }
    page_config = IPageConfiguration(obj)
    page_config.store(page_state)
    transaction.commit()


def set_allow_anonymous_view_about(state):

    if IS_PLONE_5:
        api.portal.set_registry_record('plone.allow_anon_views_about', state)
    else:
        site_props = api.portal.get_tool(name='portal_properties').site_properties
        site_props.allowAnonymousViewAbout = state
    transaction.commit()
